Summary:        Tools for building packages in clean chroot environment
Name:           package-build-service
Version:        0.3.9
Release:        %mkrel 15
License:        GPLv3+
Group:          Development/Other
Url:            https://sourceforge.net/projects/package-build-service
Source0:        https://sourceforge.net/projects/package-build-service/files/%{name}-%{version}.tar.gz
#For make_aum.sh
BuildRequires:  boost-devel
#For localization
BuildRequires:  gettext
#For mass_rebuild
Recommends:     sudo
#For genchroot-tarball
Recommends:     unzip
#For repo-hdlistgen
Requires:       genhdlist2, perl-URPM

%description
aum++: Tool for building packages in clean chroot environment
mass_rebuild: Tool for automatic rebuilding package(s)
repo-hdlistgen: Tool for work with repo
genchroot-tarball: Tool for generation chroot archive
mass_rebuild_test: Tool for testing installation packages after mass_rebuild

%prep
%autosetup -p1

tar -xf repo.tar.gz

%build
pushd src
sed -i -e "s|pbs-|aum++-|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./functions.cpp
sed -i -e "s|#include <mysql/mysql.h>||g" ./functions.h
./make_aum.sh
popd

%install
mkdir -p %{buildroot}%{_datadir}/aum++/skel/
cp -af repo/* %{buildroot}%{_datadir}/aum++/skel/
mkdir -p %{buildroot}%{_bindir}
install -m 0755 repo-hdlistgen %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild %{buildroot}%{_bindir}/
install -m 0755 genchroot-tarball %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild_test %{buildroot}%{_bindir}/
pushd src
install -m 0755 aum++ %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale/
popd

%find_lang aum++

%files -f aum++.lang
%doc docs/*
%{_bindir}/repo-hdlistgen
%{_bindir}/mass_rebuild
%{_bindir}/mass_rebuild_test
%{_bindir}/aum++
%{_bindir}/genchroot-tarball
%{_datadir}/aum++/skel/
%dir %{_datadir}/aum++


%changelog
* Wed Jun 19 2024 wally <wally> 0.3.9-15.mga10
+ Revision: 2075382
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 0.3.9-14.mga10
+ Revision: 2030582
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.3.9-13.mga10
+ Revision: 1991484
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.3.9-12.mga9
+ Revision: 1926517
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 0.3.9-11.mga9
+ Revision: 1867297
- rebuild for boost 1.79.0

* Fri Mar 18 2022 umeabot <umeabot> 0.3.9-10.mga9
+ Revision: 1798821
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.3.9-9.mga9
+ Revision: 1762685
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.3.9-8.mga9
+ Revision: 1744619
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.3.9-7.mga9
+ Revision: 1723004
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.3.9-6.mga8
+ Revision: 1666800
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.3.9-5.mga8
+ Revision: 1662042
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 0.3.9-4.mga8
+ Revision: 1578095
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.3.9-3.mga8
+ Revision: 1544883
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.3.9-2.mga8
+ Revision: 1483413
- rebuild for boost 1.72.0

* Tue Apr 02 2019 alexl <alexl> 0.3.9-1.mga7
+ Revision: 1384863
- version 0.3.9

* Tue Mar 19 2019 alexl <alexl> 0.3.8-1.mga7
+ Revision: 1378737
- version 0.3.8

* Mon Feb 11 2019 alexl <alexl> 0.3.7-1.mga7
+ Revision: 1365205
- version 0.3.7
- del upstreamed patches

* Tue Oct 16 2018 wally <wally> 0.3.6-7.mga7
+ Revision: 1321075
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.3.6-6.mga7
+ Revision: 1300086
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 wally <wally> 0.3.6-5.mga7
+ Revision: 1191623
- add patch to build with boost 1.66
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.3.6-4.mga7
+ Revision: 1178071
- rebuild for boost 1.65

* Sun Oct 08 2017 daviddavid <daviddavid> 0.3.6-3.mga7
+ Revision: 1170347
- patch0: fix build with gcc7
+ tv <tv>
- rebuild with latest boost

* Sun Dec 27 2015 daviddavid <daviddavid> 0.3.6-2.mga6
+ Revision: 915542
- rebuild for new boost 1.60.0

* Sun Nov 15 2015 alexl <alexl> 0.3.6-1.mga6
+ Revision: 903308
- version 0.3.6
- new url
- del upstreamed stuff

* Sat Sep 26 2015 daviddavid <daviddavid> 0.3.5-7.mga6
+ Revision: 883893
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 cjw <cjw> 0.3.5-6.mga6
+ Revision: 870421
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 0.3.5-5.mga6
+ Revision: 860593
- rebuild for new boost-1.58.0

* Thu Dec 25 2014 alexl <alexl> 0.3.5-4.mga5
+ Revision: 806025
- s/suggests/recommends/
- fixed get username

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-3.mga5
+ Revision: 741636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-2.mga5
+ Revision: 683304
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Apr 06 2014 alexl <alexl> 0.3.5-1.mga5
+ Revision: 612331
- imported package package-build-service

